Package org.gitana.platform.client.application

# Interface Settings

All Superinterfaces:
  `ApplicationDocument`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `SettingsImpl`

public interface Settings extends ApplicationDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ROOT_KEY`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getSetting(String settingKey)`
`com.fasterxml.jackson.databind.node.ArrayNode`
`getSettingAsArray(String settingKey)`
`boolean`
`getSettingAsBoolean(String settingKey)`
`double`
`getSettingAsDouble(String settingKey)`
`int`
`getSettingAsInt(String settingKey)`
`long`
`getSettingAsLong(String settingKey)`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSettingAsObject(String settingKey)`
`String`
`getSettingAsString(String settingKey)`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSettings()`
`void`
`setSetting(String settingKey, Object settingVal)`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### ROOT_KEY

static final String ROOT_KEY

See Also:
  - Constant Field Values

## Method Details

### getSettings

com.fasterxml.jackson.databind.node.ObjectNode getSettings()

### getSetting

Object getSetting(String settingKey)

### setSetting

void setSetting(String settingKey, Object settingVal)

### getSettingAsObject

com.fasterxml.jackson.databind.node.ObjectNode getSettingAsObject(String settingKey)

### getSettingAsString

String getSettingAsString(String settingKey)

### getSettingAsBoolean

boolean getSettingAsBoolean(String settingKey)

### getSettingAsArray

com.fasterxml.jackson.databind.node.ArrayNode getSettingAsArray(String settingKey)

### getSettingAsDouble

double getSettingAsDouble(String settingKey)

### getSettingAsLong

long getSettingAsLong(String settingKey)

### getSettingAsInt

int getSettingAsInt(String settingKey)